﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{0113F513-66EE-4789-9ED8-DE8305B2AA59}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SecondMonitor.PCars2Connector</RootNamespace>
    <AssemblyName>PCars2Connector</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Deployment\Connectors\PCars2\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Deployment\Connectors\PCars2\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Ninject, Version=3.3.4.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7">
      <HintPath>..\..\packages\Ninject.3.3.4\lib\net45\Ninject.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c">
      <HintPath>..\..\packages\NLog.4.7.10\lib\net45\NLog.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DataConvertor\PCars2DataConvertor.cs" />
    <Compile Include="PCars2Connector.cs" />
    <Compile Include="PCars2UdpReceiver.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="PCars2ConnectorModule.cs" />
    <Compile Include="PCars2SimSetting.cs" />
    <Compile Include="SharedMemory\PCars2SharedMemory.cs" />
    <Compile Include="TyreProperties\PCars2TyreProperties.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Foundation\Contracts\Contracts.csproj">
      <Project>{55275247-8D2E-421F-AB35-4BA77449B05A}</Project>
      <Name>Contracts</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\DataModel\DataModel.csproj">
      <Project>{30DEA773-F579-4A77-9C73-3D58C81612D0}</Project>
      <Name>DataModel</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\PluginManager\PluginManager.csproj">
      <Project>{E61DBD85-BC10-4ABD-9C0B-22770399DE70}</Project>
      <Name>PluginManager</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\Foundation\PluginsConfiguration\PluginsConfiguration.Common.csproj">
      <Project>{A321D875-DB5E-4FF2-8ABD-5086E08D8EFF}</Project>
      <Name>PluginsConfiguration.Common</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Core.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Workspaces.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Core.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>